﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Numerics;
using System.Text;
using System.Threading.Tasks;

namespace DroneSimulator
{
  internal class GPS
  {
    public struct Home
    {
      public static double Lat, Lon;
      public static float Alt;
    }

    public struct State
    {
      public static byte Fix; // Тип решения 0-8 (NMEA Fix type)
      public static byte SatVisible; // Количество видимых спутников
      public static byte SatUsed; // Количество используемых спутников
      public static float Hdop, Vdop, Pdop; // Геометрический фактор
      public static float Noise; // Шум (db)
    }
  }
}
